package adminkindboxreqparam

import (
	"time"

	"git.gocasts.ir/ebhomengo/niki/entity"
)

type KindBoxReqRejectRequest struct {
	ID          uint   `json:"id"`
	Description string `json:"description"`
}

type KindBoxReqRejectResponse struct {
	ID               uint                    `json:"id"`
	KindBoxType      entity.KindBoxType      `json:"kind_box_type"`
	CountRequested   uint                    `json:"count_requested"`
	BenefactorID     uint                    `json:"benefactor_id"`
	Status           entity.KindBoxReqStatus `json:"status"`
	Description      string                  `json:"description"`
	DeliverReferDate time.Time               `json:"deliver_refer_date"`
	DeliverAddressID uint                    `json:"deliver_address_id"`
}
